Subject: bug#7773: (lack of) config.h description in manual

From: [email-masked] (Karl Berry)
Date: Mon, 3 Jan 2011 00:17:00 GMT

Following up to my own mail, it seems I have been missing something
basic all these years, since it's never come up in my own packages: in
order to use the directory variables like $(LIBDIR) in the code, it
seems each package has to hack them in to config.h, e.g., via gnulib's
"configmake" module.  Right?

This is surprising.  A programmer coming to the autotools would hardly
expect to have to write their own glue script merely to get access to
the standard directories in the code.

I strongly suggest explicitly discussing this in the manual.  Maybe even
showing an example of how to do it, or at least referring to gnulib's
configmake.

(It'd be even better IMHO to just make them standardly available in
config.h somehow, e.g., as #define AM_LIBDIR and the like, but I can't
wrap my mind around a real spec, sorry ...)

Thanks,
k